Page MenuHomePhabricator

New vagrant instance not setting password for `admin` user to `vagrant`
Open, HighPublic

Description

Following up on T151425, 'vagrant' (used for the default password in mw vagrant) is now blacklisted...

I guess we should use something stronger (but still easy to remember) to get round this, rather than just disabling the blacklist in a development environment... And update Documentation to match?

It might only affect new vagrant wiki installs

[15:50:12] <zeljkof> Reedy: I have a question about `Prevent all users from having a password in the blacklist`https://gerrit.wikimedia.org/r/c/mediawiki/core/+/477487
[15:50:50] <zeljkof> logging in to my mediawiki-vagrant worked fine, then I've provisioned a fresh VM, now it doesn't work, can it be because of the above commit?
[15:51:02] <zeljkof> mw-vagrant uses Admin/vagrant as defaults

Workarond:

$ vagrant ssh
vagrant@vagrant:~$ mwscript changePassword.php --user=admin --password=vagrant
Password set for Admin

Details

Related Gerrit Patches:

Event Timeline

Reedy created this task.Sep 9 2019, 3:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2019, 3:32 PM
Reedy triaged this task as High priority.Sep 9 2019, 3:32 PM
Reedy updated the task description. (Show Details)Sep 9 2019, 10:52 PM

I did see this in my logs with a provision, but that seems to be due to an outdated vendor (due to the issue of vagrant git-update taking an age, and me cancelling it before composer update ran... Doing it manually, provision works without any related error

==> default: Error: /usr/local/bin/mwscript createAndPromote.php                     --wiki='wiki' 'Admin' 'vagrant' returned 255 instead of one of [0]
==> default: Error: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]/returns: change from notrun to 0 failed: /usr/local/bin/mwscript createAndPromote.php                     --wiki='wiki' 'Admin' 'vagrant' returned 255 instead of one of [0]
Reedy added a comment.Sep 10 2019, 1:31 AM

So based on @zeljkofilipin's comment of it being broken on a new vagrant...

(01:29) vagrant@localhost:[wiki]> select * from user;
+---------+--------------------+----------------+---------------+------------------+-------------------+-------------------------+----------------+----------------------------------
| user_id | user_name          | user_real_name | user_password | user_newpassword | user_newpass_time | user_email              | user_touched   | user_token                       
+---------+--------------------+----------------+---------------+------------------+-------------------+-------------------------+----------------+----------------------------------
|       1 | Admin              |                |               |                  | NULL              | admin@local.wmftest.net | 20190910010257 | 68028994c311805c2c3256f08f600074 
|       2 | Maintenance script |                |               |                  | NULL              |                         | 20190910010302 | *** INVALID ***                  
+---------+--------------------+----------------+---------------+------------------+-------------------+-------------------------+----------------+----------------------------------
2 rows in set (0.00 sec)

^ It seems a password isn't/wasn't set for unknown reasons

Reedy added a comment.Sep 10 2019, 1:32 AM
==> default: Notice: Compiled catalog for vagrant.mediawiki-vagrant.dev in environment vagrant in 2.44 seconds
==> default: Info: Applying configuration version '1568077164.8b3d7834'
==> default: Notice: /Stage[main]/Role::Https/Exec[generate_ssl_key]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/.update]/ensure: defined content as '{md5}d41d8cd98f00b204e9800998ecf8427e'
==> default: Info: /Stage[main]/Apt/File[/etc/apt/.update]: Scheduling refresh of Exec[apt-get update]
==> default: Info: /Stage[main]/Apt/File[/etc/apt/.update]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Exec[Daily apt-get update]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/File[/var/lib/apt/keys]/ensure: created
==> default: Notice: /Stage[main]/Apt/Exec[ins-apt-transport-https]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/sources.list]/content: content changed '{md5}23ff0a01e2522366d051021ddd514a4e' to '{md5}bc5b9ff22c7d0b581af87a3db0829814'
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/sources.list]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Apt/File[/etc/apt/sources.list]: Scheduling refresh of Exec[apt-get update]
==> default: Info: /Stage[main]/Apt/File[/etc/apt/sources.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/apt.conf.d/20shared-cache]/ensure: defined content as '{md5}711fa2f2a913db3990e7beb15cf57b5b'
==> default: Notice: /Stage[main]/Apt/File[/etc/apt/apt.conf.d/01no-recommended]/ensure: defined content as '{md5}53ce69211afabdf3f0123353515e80f4'
==> default: Notice: /Stage[main]/Git::Gerrit/Sshkey[gerrit.wikimedia.org]/ensure: created
==> default: Notice: /Stage[main]/Mwv/File[/etc/mw-vagrant]/ensure: created
==> default: Notice: /Stage[main]/Mwv/Exec[debconf tzarea]/returns: executed successfully
==> default: Notice: /Stage[main]/Mwv/Exec[debconf tzzone]/returns: executed successfully
==> default: Notice: /Stage[main]/Npm/Exec[npm_set_cache_dir]/returns: executed successfully
==> default: Notice: /Stage[main]/Apache/File[/var/www]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/api.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/img_auth.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/index.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/load.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/opensearch_desc.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/rest.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/thumb.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/thumb_handler.php]/ensure: defined content as '{md5}919aca53ba59eb6908a30dbbaecef793'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/dblist.php]/ensure: defined content as '{md5}42cb439b9f77ee6900b9c56c10a0c7a6'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/defines.php]/ensure: defined content as '{md5}762b683304822841122df4b327e45fc3'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/missing.php]/ensure: defined content as '{md5}76d2f016209a82f2a074f54a54d0b02b'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/MWMultiVersion.php]/ensure: defined content as '{md5}0b7c8ed6db36b2606b06a4b8bacd562a'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/MWScript.php]/ensure: defined content as '{md5}eb2a59533f8fec5adee979230aa322eb'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/RunJobs.php]/ensure: defined content as '{md5}69a9b74c4b2ef507d8984ce9d02be044'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/docs]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/extensions]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/resources]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/mw-config]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/skins]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/tests]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/COPYING]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/var/www/w/CREDITS]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/multiversion-install]/ensure: defined content as '{md5}a348e7975b00f8e510ff336ee5e8b6f0'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/mwscript]/ensure: defined content as '{md5}4d931b232df590485b4e535f99d22ca3'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/alldbs]/ensure: defined content as '{md5}fba7e3ed55b0e6a3db7912d83373e3e7'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/foreachwiki]/ensure: defined content as '{md5}31d7e85a0112524a3e0b6797f4fa2bff'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/foreachwikiwithextension]/ensure: defined content as '{md5}a084ac42771ecf018bd387e12b50dbd5'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/wikihasextension]/ensure: defined content as '{md5}6be666e4437140bb7640390fb8442eb3'
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/robots.txt]/ensure: defined content as '{md5}abe1c19ddc2b287ea9da1fc31584e439'
==> default: Notice: /Stage[main]/Mediawiki::Mwrepl/File[/usr/local/bin/mwrepl]/ensure: defined content as '{md5}ed259aa9bb0eb377eb82cc59b5d90bf7'
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/File[/usr/local/bin/wait-for-mediawiki.sh]/ensure: defined content as '{md5}975172816371f71d572d8e833329f318'
==> default: Notice: /Stage[main]/Mediawiki::Psysh/File[/home/vagrant/.config]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Psysh/File[/home/vagrant/.config/psysh]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Psysh/File[/home/vagrant/.config/psysh/config.php]/ensure: defined content as '{md5}92652cc12ee3eb6dcee09503603a70b3'
==> default: Notice: /Stage[main]/Mediawiki::Psysh/File[/usr/local/share/psysh/]/ensure: created
==> default: Notice: /Stage[main]/Mysql/File[/home/vagrant/.my.cnf]/ensure: defined content as '{md5}aa76263eda9a191c9d807a9489eed5f6'
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/var/lib/apt/keys/wikimedia.gpg]/ensure: defined content as '{md5}e02ae4ddfb15853b5970fc431f41ca34'
==> default: Info: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/var/lib/apt/keys/wikimedia.gpg]: Scheduling refresh of Exec[/usr/bin/apt-key add /var/lib/apt/keys/wikimedia.gpg]
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/Exec[/usr/bin/apt-key add /var/lib/apt/keys/wikimedia.gpg]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/Exec[apt-wikimedia-sources]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/etc/apt/sources.list.d/wikimedia.list]/ensure: defined content as '{md5}c445fbf9436e92db30f0ad01483917a5'
==> default: Info: /Stage[main]/Apt/Apt::Repository[wikimedia]/File[/etc/apt/sources.list.d/wikimedia.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Apt::Repository[debian-backports]/Exec[apt-debian-backports-sources]/returns: executed successfully
==> default: Notice: /Stage[main]/Apt/Apt::Repository[debian-backports]/File[/etc/apt/sources.list.d/debian-backports.list]/ensure: defined content as '{md5}55288238444fdcd6b4e1255215a93423'
==> default: Info: /Stage[main]/Apt/Apt::Repository[debian-backports]/File[/etc/apt/sources.list.d/debian-backports.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Apt::Repository[mwv-apt]/File[/etc/apt/sources.list.d/mwv-apt.list]/ensure: defined content as '{md5}0d6ef9e700edf1e5afd92d44aba27361'
==> default: Info: /Stage[main]/Apt/Apt::Repository[mwv-apt]/File[/etc/apt/sources.list.d/mwv-apt.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Apt/Apt::Pin[wikimedia]/File[/etc/apt/preferences.d/wikimedia.pref]/ensure: defined content as '{md5}a9bfe596a3b0b52c77e7791cceea4ef7'
==> default: Info: /Stage[main]/Apt/Apt::Pin[wikimedia]/File[/etc/apt/preferences.d/wikimedia.pref]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/var/lib/apt/keys/nodesource.gpg]/ensure: defined content as '{md5}003b51a89a133b5db4cca98b2dea3117'
==> default: Info: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/var/lib/apt/keys/nodesource.gpg]: Scheduling refresh of Exec[/usr/bin/apt-key add /var/lib/apt/keys/nodesource.gpg]
==> default: Notice: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/etc/apt/sources.list.d/nodesource.list]/ensure: defined content as '{md5}3a75e993bafd02687c321c78fcd6d3fb'
==> default: Info: /Stage[main]/Npm/Apt::Repository[nodesource]/File[/etc/apt/sources.list.d/nodesource.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Npm/Apt::Repository[nodesource]/Exec[/usr/bin/apt-key add /var/lib/apt/keys/nodesource.gpg]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Npm/Apt::Pin[nodejs]/File[/etc/apt/preferences.d/nodejs.pref]/ensure: defined content as '{md5}d8b89774bd66279c631fc6fdd7f895c7'
==> default: Info: /Stage[main]/Npm/Apt::Pin[nodejs]/File[/etc/apt/preferences.d/nodejs.pref]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Npm/Env::Var[NPM_CONFIG_CACHE]/File[/etc/profile.d/set_NPM_CONFIG_CACHE.sh]/ensure: defined content as '{md5}f30772afcbe4e834b9230514ebc4a7cf'
==> default: Notice: /Stage[main]/Php::Composer/Env::Var[COMPOSER_CACHE_DIR]/File[/etc/profile.d/set_COMPOSER_CACHE_DIR.sh]/ensure: defined content as '{md5}55e3f128bc39cd5c0ea0bb03cd1e9d1b'
==> default: Notice: /Stage[main]/Php::Composer/Env::Profile_script[add composer global bin to path]/File[/etc/profile.d/50-add-composer-global-bin-to-path.sh]/ensure: defined content as '{md5}6cd8c17cbeef7fd87046f86ecb5ff26f'
==> default: Notice: /Stage[main]/Php::Repository/Apt::Repository[wikimedia-php]/File[/etc/apt/sources.list.d/wikimedia-php.list]/ensure: defined content as '{md5}2ca69c0361c99cc90ac3fd99c96431cf'
==> default: Info: /Stage[main]/Php::Repository/Apt::Repository[wikimedia-php]/File[/etc/apt/sources.list.d/wikimedia-php.list]: Scheduling refresh of Exec[apt-get update]
==> default: Notice: /Stage[main]/Arcanist/Env::Profile_script[add arcanist bin to path]/File[/etc/profile.d/50-add-arcanist-bin-to-path.sh]/ensure: defined content as '{md5}be24070eadd6f5f2c25c9bbd950aa21b'
==> default: Notice: /Stage[main]/Mediawiki::Psysh/Env::Profile_script[psysh]/File[/etc/profile.d/50-psysh.sh]/ensure: defined content as '{md5}f5d4edba5ac4a0766d086400daf8a151'
==> default: Notice: /Stage[main]/Mediawiki::Psysh/Env::Profile_script[phpsh to psysh]/File[/etc/profile.d/50-phpsh-to-psysh.sh]/ensure: defined content as '{md5}d9eb5ad957624d74db168fbeabbcc337'
==> default: Notice: /Stage[main]/Motd/File[/etc/update-motd.d/10-uname]/ensure: removed
==> default: Notice: /Stage[main]/Motd/File[/etc/motd]/mode: mode changed '0644' to '0555'
==> default: Notice: /Stage[main]/Redis/Systemd::Service[redis-server]/File[/etc/systemd/system/redis-server.service.d]/ensure: created
==> default: Notice: /Stage[main]/Redis/Systemd::Service[redis-server]/File[/etc/systemd/system/redis-server.service.d/puppet-override.conf]/ensure: defined content as '{md5}ceadfdd04650a5c339273ca237d1c236'
==> default: Info: /Stage[main]/Redis/Systemd::Service[redis-server]/File[/etc/systemd/system/redis-server.service.d/puppet-override.conf]: Scheduling refresh of Service[redis-server]
==> default: Info: /Stage[main]/Redis/Systemd::Service[redis-server]/File[/etc/systemd/system/redis-server.service.d/puppet-override.conf]: Scheduling refresh of Exec[systemd reload for redis-server]
==> default: Notice: /Stage[main]/Redis/Systemd::Service[redis-server]/Exec[systemd reload for redis-server]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Apt/Exec[apt-get update]: Triggered 'refresh' from 11 events
==> default: Notice: /Stage[main]/Git::Gerrit/Exec[gitreview.username]/returns: executed successfully
==> default: Notice: /Stage[main]/Packages::Anacron/Package[anacron]/ensure: created
==> default: Notice: /Stage[main]/Packages::Build_essential/Package[build-essential]/ensure: created
==> default: Notice: /Stage[main]/Packages::Python_dev/Package[python-dev]/ensure: created
==> default: Notice: /Stage[main]/Packages::Python3_dev/Package[python3-dev]/ensure: created
==> default: Notice: /Stage[main]/Packages::Python3_pip/Package[python3-pip]/ensure: created
==> default: Notice: /Stage[main]/Packages::Python3_setuptools/Package[python3-setuptools]/ensure: created
==> default: Notice: /Stage[main]/Packages::Python3_wheel/Package[python3-wheel]/ensure: created
==> default: Notice: /Stage[main]/Packages::Ruby_dev/Package[ruby-dev]/ensure: created
==> default: Notice: /Stage[main]/Packages::Nfs_common/Package[nfs-common]/ensure: created
==> default: Notice: /Stage[main]/Mwv::Packages/Package[python-pip]/ensure: created
==> default: Notice: /Stage[main]/Mwv::Packages/Package[python-wheel]/ensure: created
==> default: Notice: /Stage[main]/Git/Package[git-review]/ensure: created
==> default: Notice: /Stage[main]/Mwv::Cachefilesd/Package[cachefilesd]/ensure: created
==> default: Notice: /Stage[main]/Mwv::Cachefilesd/File[/etc/default/cachefilesd]/content: content changed '{md5}f470125dbe9aae183fbf9c1b2744d4a2' to '{md5}8c589c891f31441be7939f743d452d19'
==> default: Info: /Stage[main]/Mwv::Cachefilesd/File[/etc/default/cachefilesd]: Scheduling refresh of Service[cachefilesd]
==> default: Notice: /Stage[main]/Mwv::Cachefilesd/Service[cachefilesd]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mwv/File[/etc/localtime]/target: target changed '/usr/share/zoneinfo/UTC' to '/usr/share/zoneinfo/Etc/UTC'
==> default: Notice: /Stage[main]/Mwv/File[/etc/timezone]/content: content changed '{md5}9106568e568fdb4f4856293836abc77c' to '{md5}979f15d0409d0c472106258ae8cec4a3'
==> default: Notice: /Stage[main]/Npm/Package[nodejs]/ensure: created
==> default: Notice: /Stage[main]/Npm/Exec[downgrade_npm]/returns: executed successfully
==> default: Notice: /Stage[main]/Service/File[/etc/mw-vagrant/services]/ensure: created
==> default: Notice: /Stage[main]/Service/File[/etc/mw-vagrant/services/.gitignore]/ensure: defined content as '{md5}d41d8cd98f00b204e9800998ecf8427e'
==> default: Notice: /Stage[main]/Parsoid/File[/etc/parsoid.localsettings.vagrant.js]/ensure: defined content as '{md5}37c0d535c4d39b8672bc835da8b5c0f4'
==> default: Notice: /Stage[main]/Apache/Package[apache2]/ensure: created
==> default: Notice: /Stage[main]/Apache::Mod::Php/Package[libapache2-mod-php7.2]/ensure: created
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/ports.conf]/content: content changed '{md5}a961f23471d985c2b819b652b7f64321' to '{md5}99595fa56043c8ef840d69304c74e33b'
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/ports.conf]: Scheduling refresh of Exec[apache2 release ports]
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/ports.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Exec[apache2 release ports]: Triggered 'refresh' from 1 events
==> default: Info: /Stage[main]/Apache/Exec[apache2 release ports]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/charset.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/javascript-common.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/localized-error-pages.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/other-vhosts-access-log.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/security.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-available/serve-cgi-bin.conf]/ensure: removed
==> default: Info: /etc/apache2/conf-available: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/charset.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/localized-error-pages.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/other-vhosts-access-log.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/security.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/conf-enabled/serve-cgi-bin.conf]/ensure: removed
==> default: Info: /etc/apache2/conf-enabled: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/env-available]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/env-available]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/env-enabled]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/env-enabled]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-available/000-default.conf]/ensure: removed
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-available/default-ssl.conf]/ensure: removed
==> default: Info: /etc/apache2/sites-available: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/sites-enabled/000-default.conf]/ensure: removed
==> default: Info: /etc/apache2/sites-enabled: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/site-confs]/ensure: created
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/site-confs]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/File[/etc/apache2/envvars]/content: content changed '{md5}e4431a53c868ae0dfcde68564f3ce6a7' to '{md5}b7f1d9717babf64603ce2cc8a42a570a'
==> default: Info: /Stage[main]/Apache/File[/etc/apache2/envvars]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php::Remote_debug/Package[php-xdebug]/ensure: created
==> default: Notice: /Stage[main]/Php::Xhprof/Package[php-tideways]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/favicon.ico]/ensure: defined content as '{md5}b1d335c7c87c3d9b0693db6a5dc69d7b'
==> default: Notice: /Stage[main]/Mediawiki::Apache/File[/var/www/info.php]/ensure: defined content as '{md5}fb92f9147037f47dcf29c96dbc68154d'
==> default: Notice: /Stage[main]/Packages::Parallel/Package[parallel]/ensure: created
==> default: Notice: /Stage[main]/Packages::Firejail/Package[firejail]/ensure: created
==> default: Notice: /Stage[main]/Postfix/Package[postfix-pcre]/ensure: created
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/main.cf]/content: content changed '{md5}fe9580415b4468f384344eae8ef7b3f8' to '{md5}9b595f064074ebb2650464a90cc701a6'
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/main.cf]/mode: mode changed '0644' to '0444'
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/main.cf]: Scheduling refresh of Service[postfix]
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/main.cf]: Scheduling refresh of Service[postfix]
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/virtual]/ensure: defined content as '{md5}284c63d3df11d7b4c3d945150840f050'
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/virtual]: Scheduling refresh of Exec[postmap_virtual]
==> default: Notice: /Stage[main]/Postfix/File[/etc/postfix/aliases]/ensure: defined content as '{md5}d41d8cd98f00b204e9800998ecf8427e'
==> default: Info: /Stage[main]/Postfix/File[/etc/postfix/aliases]: Scheduling refresh of Exec[postmap_aliases]
==> default: Notice: /Stage[main]/Postfix/Exec[postmap_virtual]: Triggered 'refresh' from 1 events
==> default: Info: /Stage[main]/Postfix/Exec[postmap_virtual]: Scheduling refresh of Service[postfix]
==> default: Notice: /Stage[main]/Postfix/Exec[postmap_aliases]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Postfix/Service[postfix]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Packages::Ack_grep/Package[ack-grep]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Psysh/Exec[download PHP docs]/returns: executed successfully
==> default: Notice: /Stage[main]/Packages::Htop/Package[htop]/ensure: created
==> default: Notice: /Stage[main]/Packages::Jq/Package[jq]/ensure: created
==> default: Notice: /Stage[main]/Packages::Ntp/Package[ntp]/ensure: created
==> default: Notice: /Stage[main]/Misc/File[/etc/profile.d/mediawiki-vagrant.sh]/ensure: defined content as '{md5}df4326fbb0ef8f93d3eb12ea9a491539'
==> default: Notice: /Stage[main]/Misc/File[/usr/local/sbin/isfresh]/ensure: defined content as '{md5}6fee8323b6bdd6afc7c37faa4491794a'
==> default: Notice: /Stage[main]/Misc/File[/etc/ackrc]/ensure: defined content as '{md5}744cd26afe93f6ae5e3f04cee2bbc188'
==> default: Notice: /Stage[main]/Misc/File[/etc/vim/vimrc.local]/ensure: defined content as '{md5}b193825082ff9faf65035880ce408c86'
==> default: Notice: /Stage[main]/Misc/File[/home/vagrant/.inputrc]/ensure: defined content as '{md5}ec198725d3bf44d9b9b76b9287ad12a6'
==> default: Notice: /Stage[main]/Misc/File[/home/vagrant/.editrc]/ensure: defined content as '{md5}90b438da9c3770f882714eca3555d3f7'
==> default: Notice: /Stage[main]/Misc/Exec[fix_root_profile]/returns: executed successfully
==> default: Notice: /Stage[main]/Mysql::Packages/Package[mariadb-server]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/sql]/ensure: created
==> default: Notice: /Stage[main]/Redis/Package[redis-server]/ensure: created
==> default: Info: /Stage[main]/Redis/Package[redis-server]: Scheduling refresh of Service[redis-server]
==> default: Notice: /Stage[main]/Redis/File[/srv/redis]/ensure: created
==> default: Notice: /Stage[main]/Redis/File[/etc/redis/redis.conf]/content: content changed '{md5}b80b0108e04d4c315dd23248296b3d80' to '{md5}dedc5a2ff609b5cceadc08307646ad54'
==> default: Info: /Stage[main]/Redis/File[/etc/redis/redis.conf]: Scheduling refresh of Service[redis-server]
==> default: Notice: /Stage[main]/Packages::Libimage_exiftool_perl/Package[libimage-exiftool-perl]/ensure: created
==> default: Notice: /Stage[main]/Packages::Php_luasandbox/Package[php-luasandbox]/ensure: created
==> default: Notice: /Stage[main]/Nginx/Package[nginx-extras]/ensure: created
==> default: Notice: /Stage[main]/Nginx/File[/etc/nginx/sites-available/default]/ensure: removed
==> default: Info: /etc/nginx/sites-available: Scheduling refresh of Service[nginx]
==> default: Notice: /Stage[main]/Nginx/File[/etc/nginx/sites-enabled/default]/ensure: removed
==> default: Info: /etc/nginx/sites-enabled: Scheduling refresh of Service[nginx]
==> default: Notice: /Stage[main]/Role::Https/Nginx::Site[devwiki]/File[/etc/nginx/sites-available/devwiki]/ensure: defined content as '{md5}ffa723394b9a8d221ce9ae7abad902aa'
==> default: Info: /Stage[main]/Role::Https/Nginx::Site[devwiki]/File[/etc/nginx/sites-available/devwiki]: Scheduling refresh of Exec[nginx-reload]
==> default: Info: /Stage[main]/Role::Https/Nginx::Site[devwiki]/File[/etc/nginx/sites-available/devwiki]: Scheduling refresh of Service[nginx]
==> default: Notice: /Stage[main]/Nginx/Exec[nginx-reload]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Role::Https/Nginx::Site[devwiki]/File[/etc/nginx/sites-enabled/devwiki]/ensure: created
==> default: Info: /Stage[main]/Role::Https/Nginx::Site[devwiki]/File[/etc/nginx/sites-enabled/devwiki]: Scheduling refresh of Service[nginx]
==> default: Info: Nginx::Site[devwiki]: Scheduling refresh of Service[nginx]
==> default: Notice: /Stage[main]/Nginx/Service[nginx]: Triggered 'refresh' from 5 events
==> default: Notice: /Stage[main]/Php::Package/Package[php]/ensure: created
==> default: Notice: /Stage[main]/Php::Package/Package[php-apcu]/ensure: created
==> default: Notice: /Stage[main]/Php::Package/Package[php7.2-curl]/ensure: created
==> default: Notice: /Stage[main]/Php::Package/Package[php7.2-dev]/ensure: created
==> default: Notice: /Stage[main]/Php::Package/Package[php7.2-gd]/ensure: created
==> default: Notice: /Stage[main]/Php::Package/Package[php7.2-intl]/ensure: created
==> default: Notice: /Stage[main]/Php::Package/Package[php7.2-mbstring]/ensure: created
==> default: Notice: /Stage[main]/Php::Package/Package[php7.2-mysql]/ensure: created
==> default: Notice: /Stage[main]/Php::Package/Package[php7.2-sqlite3]/ensure: created
==> default: Notice: /Stage[main]/Php::Package/Package[php7.2-xml]/ensure: created
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/README]/ensure: defined content as '{md5}3d21c7747fe11d9e5679d67b5a212df1'
==> default: Notice: /Stage[main]/Rsyslog/File[/etc/rsyslog.d/postfix.conf]/ensure: removed
==> default: Info: /etc/rsyslog.d: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Apache/Rsyslog::Conf[apache]/File[/etc/rsyslog.d/40-apache.conf]/ensure: defined content as '{md5}a8d7f449c8ce1164b24d498420404ad1'
==> default: Info: /Stage[main]/Apache/Rsyslog::Conf[apache]/File[/etc/rsyslog.d/40-apache.conf]: Scheduling refresh of Service[rsyslog]
==> default: Notice: /Stage[main]/Rsyslog/Service[rsyslog]: Triggered 'refresh' from 2 events
==> default: Notice: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]/returns: executed successfully
==> default: Info: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Php::Composer/Exec[download_composer]/returns: executed successfully
==> default: Notice: /Stage[main]/Php::Composer/File[/usr/local/bin/composer]/mode: mode changed '0644' to '0755'
==> default: Notice: /Stage[main]/Php::Composer/Exec[update_composer]/returns: executed successfully
==> default: Notice: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php/7.2/mods-available/_remote_debug.ini]/ensure: defined content as '{md5}70da4bd4a0ecccf2d0edac32f425b062'
==> default: Info: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php/7.2/mods-available/_remote_debug.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/File[/etc/php/7.2/mods-available/_remote_debug.ini]: Scheduling refresh of Exec[/usr/sbin/phpenmod -s ALL _remote_debug]
==> default: Notice: /Stage[main]/Php::Remote_debug/Php::Ini[remote_debug]/Exec[/usr/sbin/phpenmod -s ALL _remote_debug]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php/7.2/mods-available/_xhprof_enable.ini]/ensure: defined content as '{md5}ac1a2df40bbc87dece9f7c99dcd72dc5'
==> default: Info: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php/7.2/mods-available/_xhprof_enable.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/File[/etc/php/7.2/mods-available/_xhprof_enable.ini]: Scheduling refresh of Exec[/usr/sbin/phpenmod -s ALL _xhprof_enable]
==> default: Notice: /Stage[main]/Php::Xhprof/Php::Ini[xhprof_enable]/Exec[/usr/sbin/phpenmod -s ALL _xhprof_enable]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php/7.2/mods-available/_debug_output.ini]/ensure: defined content as '{md5}d063cce793713a4e99892c1076fcaa4c'
==> default: Info: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php/7.2/mods-available/_debug_output.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[debug_output]/File[/etc/php/7.2/mods-available/_debug_output.ini]: Scheduling refresh of Exec[/usr/sbin/phpenmod -s ALL _debug_output]
==> default: Notice: /Stage[main]/Php/Php::Ini[debug_output]/Exec[/usr/sbin/phpenmod -s ALL _debug_output]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php/7.2/mods-available/_date_timezone.ini]/ensure: defined content as '{md5}51d20eabbc6359191860ec1b0dd8f43a'
==> default: Info: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php/7.2/mods-available/_date_timezone.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[date_timezone]/File[/etc/php/7.2/mods-available/_date_timezone.ini]: Scheduling refresh of Exec[/usr/sbin/phpenmod -s ALL _date_timezone]
==> default: Notice: /Stage[main]/Php/Php::Ini[date_timezone]/Exec[/usr/sbin/phpenmod -s ALL _date_timezone]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php/7.2/mods-available/_session_defaults.ini]/ensure: defined content as '{md5}7236471110ece2bbd4ff508af9030132'
==> default: Info: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php/7.2/mods-available/_session_defaults.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[session_defaults]/File[/etc/php/7.2/mods-available/_session_defaults.ini]: Scheduling refresh of Exec[/usr/sbin/phpenmod -s ALL _session_defaults]
==> default: Notice: /Stage[main]/Php/Php::Ini[session_defaults]/Exec[/usr/sbin/phpenmod -s ALL _session_defaults]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php/7.2/mods-available/_opcache_validate_timestamps.ini]/ensure: defined content as '{md5}d967cccdfe74b2a848a0741d66af10a4'
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php/7.2/mods-available/_opcache_validate_timestamps.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/File[/etc/php/7.2/mods-available/_opcache_validate_timestamps.ini]: Scheduling refresh of Exec[/usr/sbin/phpenmod -s ALL _opcache_validate_timestamps]
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_validate_timestamps]/Exec[/usr/sbin/phpenmod -s ALL _opcache_validate_timestamps]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php/7.2/mods-available/_opcache_revalidate_freq.ini]/ensure: defined content as '{md5}3374b27a6af73047a312d879c5430280'
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php/7.2/mods-available/_opcache_revalidate_freq.ini]: Scheduling refresh of Service[apache2]
==> default: Info: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/File[/etc/php/7.2/mods-available/_opcache_revalidate_freq.ini]: Scheduling refresh of Exec[/usr/sbin/phpenmod -s ALL _opcache_revalidate_freq]
==> default: Notice: /Stage[main]/Php/Php::Ini[opcache_revalidate_freq]/Exec[/usr/sbin/phpenmod -s ALL _opcache_revalidate_freq]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/CommonSettings.php]/ensure: defined content as '{md5}466210226a7165e0c944b3652fa7f184'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/LoadWgConf.php]/ensure: defined content as '{md5}cd17521353a784b1b615448f05153056'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/dbConf]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/dbConf/README]/ensure: defined content as '{md5}b224338c33cb68b1f152834e2ce2c066'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/cache/mediawiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/srv/pages]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/srv/pages/wiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant.png]/ensure: defined content as '{md5}f9afb7d19e39247820bc1e81883a96f7'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant-1.5x.png]/ensure: defined content as '{md5}d89a336d6c075341e62bcf1ec809d30c'
==> default: Notice: /Stage[main]/Mediawiki/File[/var/www/mediawiki-vagrant-2x.png]/ensure: defined content as '{md5}e06017705f63d9b9ad24576a1bfee4a3'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/run-mediawiki-tests]/ensure: defined content as '{md5}cb1918d4464e50c256399b91c411bb05'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/run-git-update]/ensure: defined content as '{md5}42ba0255228db2002e2f0237aa4f7f0a'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/import-mediawiki-dump]/ensure: defined content as '{md5}73c7466d52c526eea51d4f196eefb86d'
==> default: Notice: /Stage[main]/Mediawiki/File[/usr/local/bin/export-mediawiki-dump]/ensure: defined content as '{md5}120b3201898c77d4fb846e7ab557a46a'
==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/settings.d/composer]/ensure: created
==> default: Info: /Stage[main]/Mediawiki/File[/vagrant/settings.d/composer]: Scheduling refresh of Exec[composer update /vagrant/mediawiki]
==> default: Notice: /Stage[main]/Mediawiki/File[/etc/logrotate.d/mediawiki_shared_log_groups]/ensure: defined content as '{md5}f9b47a4c9043d00f163ec44d2d502c11'
==> default: Notice: /Stage[main]/Arcanist/Service::Gitupdate[libphutil]/File[/etc/mw-vagrant/services/libphutil.conf]/ensure: defined content as '{md5}e824733552fd51bda432041866896aa3'
==> default: Notice: /Stage[main]/Arcanist/Service::Gitupdate[arcanist]/File[/etc/mw-vagrant/services/arcanist.conf]/ensure: defined content as '{md5}9c7d704acd81cf66583d243b07b359ab'
==> default: Notice: /Stage[main]/Apache::Mod::Rewrite/Apache::Mod_conf[rewrite]/Exec[ensure_present_mod_rewrite]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Rewrite/Apache::Mod_conf[rewrite]/Exec[ensure_present_mod_rewrite]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache::Mod::Proxy/Apache::Mod_conf[proxy]/Exec[ensure_present_mod_proxy]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Proxy/Apache::Mod_conf[proxy]/Exec[ensure_present_mod_proxy]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Mod_conf[proxy_fcgi]/Exec[ensure_present_mod_proxy_fcgi]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Mod_conf[proxy_fcgi]/Exec[ensure_present_mod_proxy_fcgi]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache::Mod::Headers/Apache::Mod_conf[headers]/Exec[ensure_present_mod_headers]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Headers/Apache::Mod_conf[headers]/Exec[ensure_present_mod_headers]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki/Env::Var[MW_INSTALL_PATH]/File[/etc/profile.d/set_MW_INSTALL_PATH.sh]/ensure: defined content as '{md5}9aae0b60e8ce068c9216c5186c337470'
==> default: Notice: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki/Env::Profile_script[add mediawiki vendor bin to path]/File[/etc/profile.d/50-add-mediawiki-vendor-bin-to-path.sh]/ensure: defined content as '{md5}2d96a08a8165102b969ecb518aa801b9'
==> default: Notice: /Stage[main]/Misc/Motd::Script[mediawiki_vagrant]/File[/etc/update-motd.d/50-mediawiki-vagrant]/ensure: defined content as '{md5}00d6415792acd96e9c10f4b9de7e3a00'
==> default: Notice: /Stage[main]/Misc/Env::Profile_script[xdebug]/File[/etc/profile.d/50-xdebug.sh]/ensure: defined content as '{md5}12ff81893c424158f890f46310731938'
==> default: Notice: /Stage[main]/Redis/Systemd::Service[redis-server]/Service[redis-server]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Redis::Php/Package[php-redis]/ensure: created
==> default: Info: /Stage[main]/Redis::Php/Package[php-redis]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Npm::Globals/Npm::Global[mocha]/Exec[npm_global_mocha]/returns: executed successfully
==> default: Notice: /Stage[main]/Npm::Globals/Npm::Global[grunt]/Exec[npm_global_grunt]/returns: executed successfully
==> default: Notice: /Stage[main]/Npm::Globals/Npm::Global[grunt-cli]/Exec[npm_global_grunt-cli]/returns: executed successfully
==> default: Notice: /Stage[main]/Npm::Globals/Npm::Global[node-gyp]/Exec[npm_global_node-gyp]/returns: executed successfully
==> default: Notice: /Stage[main]/Npm::Globals/Npm::Global[node-pre-gyp]/Exec[npm_global_node-pre-gyp]/returns: executed successfully
==> default: Error: Failed to set owner to '1000': Operation not permitted @ lchown_internal - /vagrant/logs/parsoid.log
==> default: Error: /Stage[main]/Parsoid/Service::Node[parsoid]/File[/vagrant/logs/parsoid.log]/owner: change from www-data to vagrant failed: Failed to set owner to '1000': Operation not permitted @ lchown_internal - /vagrant/logs/parsoid.log
==> default: Notice: /Stage[main]/Parsoid/Service::Node[parsoid]/File[/etc/logrotate.d/parsoid]/ensure: defined content as '{md5}06b9964155b491ded85e98a1e38e9684'
==> default: Notice: /Stage[main]/Parsoid/Service::Node[parsoid]/Service::Gitupdate[parsoid]/File[/etc/mw-vagrant/services/parsoid.conf]/ensure: defined content as '{md5}a1994db6aa0d503664a67cc95fef3689'
==> default: Notice: /Stage[main]/Parsoid/Service::Node[parsoid]/Systemd::Service[parsoid]/File[/lib/systemd/system/parsoid.service]/ensure: defined content as '{md5}6316deeaccf7b11b921875767f8fb4ca'
==> default: Info: /Stage[main]/Parsoid/Service::Node[parsoid]/Systemd::Service[parsoid]/File[/lib/systemd/system/parsoid.service]: Scheduling refresh of Service[parsoid]
==> default: Info: /Stage[main]/Parsoid/Service::Node[parsoid]/Systemd::Service[parsoid]/File[/lib/systemd/system/parsoid.service]: Scheduling refresh of Exec[systemd reload for parsoid]
==> default: Notice: /Stage[main]/Parsoid/Service::Node[parsoid]/Systemd::Service[parsoid]/Exec[systemd reload for parsoid]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Parsoid/Service::Node[parsoid]/Systemd::Service[parsoid]/Service[parsoid]/ensure: ensure changed 'stopped' to 'running'
==> default: Info: /Stage[main]/Parsoid/Service::Node[parsoid]/Systemd::Service[parsoid]/Service[parsoid]: Unscheduling refresh on Service[parsoid]
==> default: Info: Service::Node[parsoid]: Unscheduling all events on Service::Node[parsoid]
==> default: Info: Class[Parsoid]: Unscheduling all events on Class[Parsoid]
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_http/Apache::Mod_conf[proxy_http]/Exec[ensure_present_mod_proxy_http]/returns: executed successfully
==> default: Info: /Stage[main]/Apache::Mod::Proxy_http/Apache::Mod_conf[proxy_http]/Exec[ensure_present_mod_proxy_http]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-available/50-disable-sendfile.conf]/ensure: defined content as '{md5}759c3802cd1f1d64d8dc4ad9f1b011f4'
==> default: Notice: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-enabled/50-disable-sendfile.conf]/ensure: created
==> default: Info: /Stage[main]/Apache/Apache::Conf[disable sendfile]/File[/etc/apache2/conf-enabled/50-disable-sendfile.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-available/50-errors-to-syslog.conf]/ensure: defined content as '{md5}9c579009a21ad4b186fe646aac778bd3'
==> default: Notice: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-enabled/50-errors-to-syslog.conf]/ensure: created
==> default: Info: /Stage[main]/Apache/Apache::Conf[errors to syslog]/File[/etc/apache2/conf-enabled/50-errors-to-syslog.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-available/00-fcgi-headers.conf]/ensure: defined content as '{md5}ea4ac38ac1e2779cb56d9fcfa0a194b2'
==> default: Notice: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-enabled/00-fcgi-headers.conf]/ensure: created
==> default: Info: /Stage[main]/Apache::Mod::Proxy_fcgi/Apache::Conf[fcgi_headers]/File[/etc/apache2/conf-enabled/00-fcgi-headers.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/File[/etc/apache2/site-confs/devwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/File[/etc/apache2/site-confs/devwiki/00-default.conf]/ensure: defined content as '{md5}fa49ed7a99287e2f1abe038c1738b6a4'
==> default: Notice: /Stage[main]/Role::Parsoid/Apache::Reverse_proxy[parsoid]/Apache::Site[parsoid]/File[/etc/apache2/site-confs/parsoid]/ensure: created
==> default: Notice: /Stage[main]/Role::Parsoid/Apache::Reverse_proxy[parsoid]/Apache::Site[parsoid]/File[/etc/apache2/site-confs/parsoid/00-default.conf]/ensure: defined content as '{md5}6befbc2d13787b01913f6f6bb09c4811'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/Mysql::Db[wikishared]/Mysql::Sql[create database wikishared ]/Exec[create database wikishared ]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/Mysql::User[wikiadmin]/Mysql::Sql[create user wikiadmin]/Exec[create user wikiadmin]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/Mysql::User[extensionadmin]/Mysql::Sql[create user extensionadmin]/Exec[create user extensionadmin]/returns: executed successfully
==> default: Notice: /Stage[main]/Role::Https/Mediawiki::Settings[SSL-related settings]/File[/vagrant/settings.d/puppet-managed/10-SSL-related-settings.php]/ensure: defined content as '{md5}a09dc5aee0de26921fa6bb58d7bf3789'
==> default: Notice: /Stage[main]/Role::Https/Mediawiki::Settings[Vagrant HTTPS support flag]/File[/vagrant/settings.d/puppet-managed/01-Vagrant-HTTPS-support-flag.php]/ensure: defined content as '{md5}85950978bfd07ae713e02102d59be6cf'
==> default: Notice: /Stage[main]/Role::Https/Mediawiki::Settings[Fix wgServer in wgConf]/File[/vagrant/settings.d/puppet-managed/20-Fix-wgServer-in-wgConf.php]/ensure: defined content as '{md5}38cc42123acce4e9c2d29dcb626f4f55'
==> default: Notice: /Stage[main]/Role::Parsoid/Mediawiki::Settings[parsoid-vrs]/File[/vagrant/settings.d/puppet-managed/04-parsoid-vrs.php]/ensure: defined content as '{md5}fb4204ca85d8294dd53d2902d9becaa9'
==> default: Notice: /Stage[main]/Role::Parsoid/Mediawiki::Settings[parsoid-extension]/File[/vagrant/settings.d/puppet-managed/10-parsoid-extension.php]/ensure: defined content as '{md5}00a9196278983e004e8810517eae91ad'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/images]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/var/cache/mediawiki/devwiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/dbConf/10-wiki-dbConf.php]/ensure: defined content as '{md5}1e6c53972c9f47f55dbc26ba9dca0043'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]/ensure: defined content as '{md5}5f2110913f5e413b3adb7f12edc9471d'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/etc/logrotate.d/mediawiki_wiki_debug_log]/ensure: defined content as '{md5}b2287295ffe43fec014d44ba4f7c98ed'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/README]/ensure: defined content as '{md5}64ae42537fb40c737e432f1e747355f7'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/pages/wiki/wiki]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Settings[REST API]/File[/vagrant/settings.d/puppet-managed/10-REST-API.php]/ensure: defined content as '{md5}f27f4890b4a2bee0a87f581b30f1148b'
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-available/50-devwiki.conf]/ensure: defined content as '{md5}7eb14e640ba47290dab227f8ae2484ac'
==> default: Notice: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-enabled/50-devwiki.conf]/ensure: created
==> default: Info: /Stage[main]/Mediawiki::Apache/Apache::Site[devwiki]/Apache::Conf[devwiki]/File[/etc/apache2/sites-enabled/50-devwiki.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Mediawiki::Settings[Vector]/File[/vagrant/settings.d/puppet-managed/10-Vector.php]/ensure: defined content as '{md5}711beca389723bc00a5a18b0fce4eca0'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Mysql::Sql[wikiadmin_full_priv_wiki]/Exec[wikiadmin_full_priv_wiki]/returns: executed successfully
==> default: Notice: /Stage[main]/Mysql/Mysql::User[vagrant]/Mysql::Sql[create user vagrant]/Exec[create user vagrant]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_setup]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_include_extra_settings]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_copy_LocalSettings]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Mysql::Sql[wiki_setup_email]/Exec[wiki_setup_email]/returns: executed successfully
==> default: Notice: /Stage[main]/Role::Parsoid/Mediawiki::Import::Text[VagrantRoleParsoid]/File[/srv/pages/wiki/wiki/VagrantRoleParsoid]/ensure: defined content as '{md5}3ca0f319e7eb6334776e9faaa78a3e62'
==> default: Info: /Stage[main]/Role::Parsoid/Mediawiki::Import::Text[VagrantRoleParsoid]/File[/srv/pages/wiki/wiki/VagrantRoleParsoid]: Scheduling refresh of Exec[add page devwiki/VagrantRoleParsoid]
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]/ensure: defined content as '{md5}979e21898e306eacb010b05e97764c4b'
==> default: Info: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]: Scheduling refresh of Exec[add page devwiki/Main_Page]
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]/ensure: defined content as '{md5}b4d81027deae637649e8cae9a4cfc280'
==> default: Info: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]: Scheduling refresh of Exec[add page devwiki/Template:Main_Page]
==> default: Notice: /Stage[main]/Role::Parsoid/Apache::Reverse_proxy[parsoid]/Apache::Site[parsoid]/Apache::Conf[parsoid]/File[/etc/apache2/sites-available/50-parsoid.conf]/ensure: defined content as '{md5}f40b59ba61a491b40b854be241946c20'
==> default: Notice: /Stage[main]/Role::Parsoid/Apache::Reverse_proxy[parsoid]/Apache::Site[parsoid]/Apache::Conf[parsoid]/File[/etc/apache2/sites-enabled/50-parsoid.conf]/ensure: created
==> default: Info: /Stage[main]/Role::Parsoid/Apache::Reverse_proxy[parsoid]/Apache::Site[parsoid]/Apache::Conf[parsoid]/File[/etc/apache2/sites-enabled/50-parsoid.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]/ensure: defined content as '{md5}0adebfa10daabbaba63776bdf6e49b67'
==> default: Info: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/File[/lib/systemd/system/mediawiki-ready.service]/ensure: defined content as '{md5}13332f552ff72691eca8d50f4ab722b5'
==> default: Info: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/File[/lib/systemd/system/mediawiki-ready.service]: Scheduling refresh of Service[mediawiki-ready]
==> default: Info: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/File[/lib/systemd/system/mediawiki-ready.service]: Scheduling refresh of Exec[systemd reload for mediawiki-ready]
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Exec[systemd reload for mediawiki-ready]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Service[mediawiki-ready]/ensure: ensure changed 'stopped' to 'running'
==> default: Info: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Service[mediawiki-ready]: Unscheduling refresh on Service[mediawiki-ready]
==> default: Notice: /Stage[main]/Role::Wikieditor/Mediawiki::Extension[WikiEditor]/Mediawiki::Settings[WikiEditor]/File[/vagrant/settings.d/puppet-managed/10-WikiEditor.php]/ensure: defined content as '{md5}a691f38820d27d5dbf972402b5dbe8dc'
==> default: Notice: /Stage[main]/Role::Codeeditor/Mediawiki::Extension[CodeEditor]/Mediawiki::Settings[CodeEditor]/File[/vagrant/settings.d/puppet-managed/10-CodeEditor.php]/ensure: defined content as '{md5}1fafcaa7ad45760d50c227f014a146bd'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Group[devwiki_suppress]/Mediawiki::Settings[devwiki_suppress_group]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/10-devwiki_suppress_group.php]/ensure: defined content as '{md5}728dbd80325c56f82073773d444f3d48'
==> default: Notice: /Stage[main]/Role::Syntaxhighlight/Mediawiki::Extension[SyntaxHighlight_GeSHi]/Mediawiki::Settings[SyntaxHighlight_GeSHi]/File[/vagrant/settings.d/puppet-managed/10-SyntaxHighlight_GeSHi.php]/ensure: defined content as '{md5}c2638634854531e28b72a51e10afd831'
==> default: Notice: /Stage[main]/Role::Scribunto/Mediawiki::Extension[Scribunto]/Mediawiki::Settings[Scribunto]/File[/vagrant/settings.d/puppet-managed/10-Scribunto.php]/ensure: defined content as '{md5}1c20329cd81aaefac9355da86e795b01'
==> default: Info: Mediawiki::Extension[Scribunto]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Service[apache2]/ensure: ensure changed 'stopped' to 'running'
==> default: Info: /Stage[main]/Apache/Service[apache2]: Unscheduling refresh on Service[apache2]
==> default: Notice: /Stage[main]/Role::Uls/Mediawiki::Extension[UniversalLanguageSelector]/Mediawiki::Settings[UniversalLanguageSelector]/File[/vagrant/settings.d/puppet-managed/10-UniversalLanguageSelector.php]/ensure: defined content as '{md5}9188ac67e0ec837a7fdb20f1daea5509'
==> default: Notice: /Stage[main]/Role::Translate/Mediawiki::Extension[Translate]/Mediawiki::Settings[Translate]/File[/vagrant/settings.d/puppet-managed/10-Translate.php]/ensure: defined content as '{md5}b1c73bba432babfa8086789421bccc2b'
==> default: Info: Mediawiki::Settings[Translate]: Scheduling refresh of Exec[update_all_databases]
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Role::Parsoid/Mediawiki::Import::Text[VagrantRoleParsoid]/Mediawiki::Maintenance[add page devwiki/VagrantRoleParsoid]/Exec[add page devwiki/VagrantRoleParsoid]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki_steward,suppress]/Exec[mediawiki_user_Admin_wiki_steward,suppress]/returns: executed successfully
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Mediawiki::Maintenance[add page devwiki/Main_Page]/Exec[add page devwiki/Main_Page]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Mediawiki::Maintenance[add page devwiki/Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]/ensure: defined content as '{md5}3bc60cb8dd696ea9ca1b2649c473f6e3'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]: Scheduling refresh of Service[jobrunner]
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]: Scheduling refresh of Service[jobchron]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]/ensure: defined content as '{md5}595f21bf849505bbd51452e092b6dd5f'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Scheduling refresh of Service[jobrunner]
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Scheduling refresh of Service[jobchron]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobrunner]/ensure: defined content as '{md5}108922f7a7305cd4f69202fa6ba6d2ee'
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobchron]/ensure: defined content as '{md5}45c948a63da5a66eb22369ca7e0fb91a'
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobrunner]/File[/etc/mw-vagrant/services/jobrunner.conf]/ensure: defined content as '{md5}5c3a6bcdabe0e2bea5d041a4aae638bc'
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobchron]/File[/etc/mw-vagrant/services/jobchron.conf]/ensure: defined content as '{md5}3e79447272b3f3ed77257ce143ca1c51'
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/File[/lib/systemd/system/jobrunner.service]/ensure: defined content as '{md5}5a3a879d8f9f25ff719fc950886eb732'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/File[/lib/systemd/system/jobrunner.service]: Scheduling refresh of Service[jobrunner]
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/File[/lib/systemd/system/jobrunner.service]: Scheduling refresh of Exec[systemd reload for jobrunner]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Exec[systemd reload for jobrunner]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Service[jobrunner]/ensure: ensure changed 'stopped' to 'running'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Service[jobrunner]: Unscheduling refresh on Service[jobrunner]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/File[/lib/systemd/system/jobchron.service]/ensure: defined content as '{md5}12caa98f1471525f6449c1354b72c9ee'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/File[/lib/systemd/system/jobchron.service]: Scheduling refresh of Service[jobchron]
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/File[/lib/systemd/system/jobchron.service]: Scheduling refresh of Exec[systemd reload for jobchron]
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Exec[systemd reload for jobchron]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Service[jobchron]/ensure: ensure changed 'stopped' to 'running'
==> default: Info: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Service[jobchron]: Unscheduling refresh on Service[jobchron]
==> default: Info: Stage[main]: Unscheduling all events on Stage[main]
==> default: Info: Creating state file /var/cache/puppet/state/state.yaml
==> default: Notice: Applied catalog in 224.46 seconds
Reedy added a comment.EditedSep 10 2019, 1:37 AM

It seems I can set the admin password to vagrant using changePassword.php

vagrant@vagrant:~$ mwscript changePassword.php --user=admin --password=vagrant
Password set for Admin
(01:34) vagrant@localhost:[wiki]> select * from user;
+---------+--------------------+----------------+------------------------------------------------------------------------------------------------------------------------------------
| user_id | user_name          | user_real_name | user_password                                                                                                                      
+---------+--------------------+----------------+------------------------------------------------------------------------------------------------------------------------------------
|       1 | Admin              |                | :pbkdf2:sha512:30000:64:ZAjzEQgoBkSSxVCvBLAlWA==:n9dNq+7V0InlmR/tlDKbRaTShQDSkZzf4kc4Lvucoe5XJHBORlyKKkH/aKxVuOO4yXx8onKLS37YuWNPHx
|       2 | Maintenance script |                |                                                                                                                                    
+---------+--------------------+----------------+------------------------------------------------------------------------------------------------------------------------------------

So just something not setting it correctly during the installer

Reedy renamed this task from Decide what to do for password requirements in mediawiki vagrant to New vagrant instance not setting password for `admin` user to `vagrant`.Sep 10 2019, 1:37 AM
Reedy added a comment.Sep 10 2019, 2:05 AM

So.. I think the problem is any errors that might've occurred are mostly swallowed and suppressed by install.php

		if ( !$envChecksOnly ) {
			$status = $installer->execute();
			if ( !$status->isGood() ) {
				return false;
			}
			$installer->writeConfigurationFile( $this->getOption( 'confpath', $IP ) );
			$installer->showMessage(
				'config-install-success',
				$installer->getVar( 'wgServer' ),
				$installer->getVar( 'wgScriptPath' )
			);
		}
		return true;

So even if the installer fails somewhere in the midst (but maybe mostly completes)... It'll fail kinda silently, and potentially not even actually display the error....

Will split that into a MW installer bug

Reedy updated the task description. (Show Details)Sep 10 2019, 2:09 AM
Reedy added a comment.Sep 10 2019, 2:17 AM

And looking at the puppet code... Puppet seems to think the install went fine, as I guess it doesn't check any return codes

==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_setup]/returns: executed successfully

^ wiki.pp calls run_installer.erb which calls multiversion-install.erb which calls install.php

I guess I need to var_dump the $status object (if it's !->isGood())... And hope there's some error in there to notify about setting the password...

This was in theory 'fixed' in https://gerrit.wikimedia.org/r/#/c/mediawiki/vagrant/+/481556/ about 8 months ago?

Which is indeed true, for existing users, or anything involving the user admin and the password vagrant after the wiki is installed... as the hook is setup by then

Job for another day (or after some sleep)

A potential fix is to just set a more complex password (vagrantvagrant) or something to allow the installer to run, but potentially annoys people... But we could then change it after, when the hook is installed... barf

Change 535334 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@master] Propagate install.php exit code past signal handler

https://gerrit.wikimedia.org/r/535334

A potential fix is to just set a more complex password (vagrantvagrant) or something to allow the installer to run, but potentially annoys people... But we could then change it after, when the hook is installed... barf

Changing the default password to "mediawiki-vagrant" doesn't seem horrible to me. As a test, someone could create a puppet/hieradata/local.yaml file that that looks like:

---
mediawiki::admin_pass: mediawiki-vagrant

and see if they can vagrant destroy -f; vagrant up cleanly.

Reedy added a comment.Sep 10 2019, 6:59 PM

A potential fix is to just set a more complex password (vagrantvagrant) or something to allow the installer to run, but potentially annoys people... But we could then change it after, when the hook is installed... barf

Changing the default password to "mediawiki-vagrant" doesn't seem horrible to me. As a test, someone could create a puppet/hieradata/local.yaml file that that looks like:

---
mediawiki::admin_pass: mediawiki-vagrant

and see if they can vagrant destroy -f; vagrant up cleanly.

Works as expected

(18:58) vagrant@localhost:[wiki]> select * from user;
+---------+--------------------+----------------+------------------------------------------------------------------------------------------------------------------------------------
| user_id | user_name          | user_real_name | user_password                                                                                                                      
+---------+--------------------+----------------+------------------------------------------------------------------------------------------------------------------------------------
|       1 | Admin              |                | :pbkdf2:sha512:30000:64:f+2QhVvtcndfglNxp+WFIg==:nml9oIVPBTe+PYJFtOjB1AOkoskm9jzznPEdQMn4isfwDUy5ZPjdMW9waxdiSyMu0FAJp5kl3BaDdqMJDb
|       2 | Maintenance script |                |                                                                                                                                    
+---------+--------------------+----------------+------------------------------------------------------------------------------------------------------------------------------------
(END)

Can login to the wiki with admin and mediawiki-vagrant

Reedy added a comment.Sep 10 2019, 7:26 PM

Should we just change the default password to mediawiki-vagrant, note both in the docs, and then split the apparent error suppression from install.php into a separate ticket?

Change 535679 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vagrant@master] Change default wiki admin user password

https://gerrit.wikimedia.org/r/535679

Should we just change the default password to mediawiki-vagrant, note both in the docs, and then split the apparent error suppression from install.php into a separate ticket?

That seems ok, but... I'm not 100% sure what will happen on the next vagrant provision Puppet run for an existing deployment if we change the hiera setting. That should be tested too before we commit a change like this that effects all existing users. Should be enough to do the same local.yaml trick on your working install with a different password than the Admin account currently has, run vagrant provision, and look out for Puppet failures or other weirdness.

It would be especially good to figure out if anything actually changes the existing Admin account password after the first time the account is created. I would kind of hope not, which should make things a tiny bit nicer for folks who have running mediawiki-vagrant instances since their Admin account password would not change until they blow everything away and start over (or add roles that create new wikis possibly).

Sams-MBP:vagrant reedy$ cat puppet/hieradata/local.yaml 
---
mediawiki::admin_pass: mediawiki-vagrant-zomg-new-password
Sams-MBP:vagrant reedy$ vagrant provision
==> default: Running provisioner: lsb_check...
==> default: Running provisioner: file_perms...
==> default: Running provisioner: shell...
    default: Running: /var/folders/0q/w0nvxyxs2nb9z1d9778d8nc40000gn/T/vagrant-shell20190911-4476-1qqti7t.sh
==> default: Running provisioner: puppet...
==> default: Running Puppet with environment vagrant...
==> default: Info: Loading facts
==> default: Notice: Compiled catalog for vagrant.mediawiki-vagrant.dev in environment vagrant in 2.41 seconds
==> default: Info: Applying configuration version '1568158600.f908215f'
==> default: Error: Operation not permitted @ rb_file_chown - /vagrant/srv/docroot/w/MWMultiVersion.php20190910-30727-6ggam
==> default: Error: /Stage[main]/Apache/File[/vagrant/srv/docroot/w/MWMultiVersion.php]/content: change from {md5}58c26f61d761c4c1dcd581a86cce1aaf to {md5}0b7c8ed6db36b2606b06a4b8bacd562a failed: Operation not permitted @ rb_file_chown - /vagrant/srv/docroot/w/MWMultiVersion.php20190910-30727-6ggam
==> default: Error: Operation not permitted @ rb_file_chown - /vagrant/srv/docroot/w/MWScript.php20190910-30727-1gtkz5k
==> default: Error: /Stage[main]/Apache/File[/vagrant/srv/docroot/w/MWScript.php]/content: change from {md5}e0422ea95c17ec1bd3b5881630aaffee to {md5}eb2a59533f8fec5adee979230aa322eb failed: Operation not permitted @ rb_file_chown - /vagrant/srv/docroot/w/MWScript.php20190910-30727-1gtkz5k
==> default: Error: Operation not permitted @ rb_file_chown - /vagrant/srv/docroot/w/RunJobs.php20190910-30727-1ia93zd
==> default: Error: /Stage[main]/Apache/File[/vagrant/srv/docroot/w/RunJobs.php]/content: change from {md5}f826e09109943cf8376834675866f554 to {md5}69a9b74c4b2ef507d8984ce9d02be044 failed: Operation not permitted @ rb_file_chown - /vagrant/srv/docroot/w/RunJobs.php20190910-30727-1ia93zd
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/usr/local/bin/multiversion-install]/content: content changed '{md5}d4adae5a804a8a75620ef3ce2517c94c' to '{md5}a348e7975b00f8e510ff336ee5e8b6f0'
==> default: Notice: /Stage[main]/Git/Package[git-review]/ensure: ensure changed '1.28.0' to '1.28.0.0a1'
==> default: Error: Failed to set owner to '1000': Operation not permitted @ lchown_internal - /vagrant/logs/parsoid.log
==> default: Error: /Stage[main]/Parsoid/Service::Node[parsoid]/File[/vagrant/logs/parsoid.log]/owner: change from www-data to vagrant failed: Failed to set owner to '1000': Operation not permitted @ lchown_internal - /vagrant/logs/parsoid.log
==> default: Info: Stage[main]: Unscheduling all events on Stage[main]
==> default: Notice: Applied catalog in 9.47 seconds
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

Password doesn't change. Based on the log, it doesn't re-run install.php (as it shouldn't), presumably due to check_installed.erb ? https://github.com/wikimedia/mediawiki-vagrant/blob/d091cdc469e01a1c4935a366c33157f41625b2d4/puppet/modules/mediawiki/manifests/wiki.pp#L151

https://github.com/wikimedia/mediawiki-vagrant/blob/d091cdc469e01a1c4935a366c33157f41625b2d4/puppet/modules/mediawiki/templates/wiki/check_installed.erb

Password doesn't change. Based on the log, it doesn't re-run install.php (as it shouldn't), presumably due to check_installed.erb ?

Awesomesauce. Let's merge your patch to change the default password, announce that on wikitech-l and cloud-announce, and update the docs at https://www.mediawiki.org/wiki/MediaWiki-Vagrant. We could keep running down the road of trying to keep the password the same and working around the default configuration of MediaWiki, but that seems like a long term waste of time.

How confident are you that "mediawiki-vagrant" will continue to satisfy the password complexity and ban list rules for the foreseeable future? We should try to make this a one time breaking change if we can. :)

Reedy added a comment.EditedSep 11 2019, 12:21 AM

I doubt it’s going to become a “popular password” (and hence blacklisted any time soon), even if we increased the list 10 fold

It’s 17 characters, so definitely takes us beyond the 10 character limit. I don’t know of any near term plans (or longer) for that to be increased, beyond the removal of still letting some users use one character, and the enforced changing of that. We could maybe aim for 20, but I don’t see much point

The only other rule it’s likely to fall foul of would be potential password complexity requirements, if we were to enforce those - no numbers, no upper case etc. But again, I don’t think we’re likely to have that sort of rule any time soon

I’d have to have an up to date look at best practices for passwords, to have an idea what we might want to enforce in the near future

Tgr closed this task as Invalid.Sep 12 2019, 12:03 PM
Tgr added a subscriber: Tgr.

I can confirm that the fix mentioned by @bd808 works as expected.

Reedy reopened this task as Open.Sep 12 2019, 12:08 PM

I think we need to fix it for everyone though ;)

Tgr added a comment.Sep 12 2019, 12:11 PM

Oops, sorry. I had this tab open for a long time and didn't see most of the recent comments.

I'd much rather see this fixed properly instead of having to mess around every time password requirements change. Could it be done via MW_CONFIG_FILE or one of the similar env overrides?

Oops, sorry. I had this tab open for a long time and didn't see most of the recent comments.
I'd much rather see this fixed properly instead of having to mess around every time password requirements change. Could it be done via MW_CONFIG_FILE or one of the similar env overrides?

There is https://github.com/wikimedia/mediawiki-vagrant/blob/a4c4cb881856bab53ec86e0ab9b3d16901d45b78/LocalSettings.php#L137-L144 which works fine for installs that already exist, just it's obviously not in place/doesn't work when running install.php

Tgr added a comment.Sep 12 2019, 1:07 PM

install.php should honor MW_CONFIG_FILE though. So put the hook in a standalone file before invoking the installer, use php -B or something like that to define MW_CONFIG_FILE to point to that file, have it require the normal localsettings file at the end?

Change 536205 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vagrant@master] Install isValidPassword hook subscriber for install.php

https://gerrit.wikimedia.org/r/536205

Reedy added a comment.Sep 12 2019, 2:36 PM

^ untested so far...

brion added a subscriber: brion.Sep 26 2019, 6:11 PM

I've updated the documentation at https://www.mediawiki.org/wiki/MediaWiki-Vagrant to link to this bug report and mention that you can manually log in with vagrant ssh and run mwscript maintenance/changePassword.php --user=Admin --password=vagrant to set the initial password.